VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic

    java.lang.Object
      com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
          com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic

Enclosing class:
  VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

    protected static class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic

extends VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic, VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound`

Field Summary
`protected CGMDisplay[]` | `cgmDisplay`
`protected java.lang.String[]` | `cgmTitle`
`protected java.lang.String` | `conditions`
`protected GeoSymAttExpression` | `expression`
`protected java.awt.image.BufferedImage` | `icon`
`protected java.lang.String` | `symbolExt`
`protected java.lang.String` | `symbolParentDir`

Fields inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`debugFacc, dim, facc, list, sizePercent, type, xoffPercent, yoffPercent`

Constructor Summary
`protected` | `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic(java.lang.String type, java.lang.String facc, java.lang.String cond, VPFAutoFeatureGraphicWarehouse warehouse)`

Method Summary
`void` | `add(OMGraphic omg)`
`java.lang.String` | `getConditions()`
`java.awt.Image` | `getIcon()`
`boolean` | `matches(java.lang.String facc, char type, java.lang.String conditions, java.lang.String symbolFileName, java.lang.String size, java.lang.String xoff, java.lang.String yoff)` Used to match symbol codes with PriorityHolder.
`boolean` | `matches(java.lang.String facc, FeatureClassInfo fci, java.util.List<java.lang.Object> row)` Used to match feature entries with PriorityHolder.
`void` | `setCGMPath(java.lang.String parent, java.lang.String append)` Needs to be called before matches is called in init().
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`getFacc, getList, getValue, resetList, updateLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expression

    protected GeoSymAttExpression expression

### conditions

    protected java.lang.String conditions

### symbolParentDir

    protected java.lang.String symbolParentDir

### symbolExt

    protected java.lang.String symbolExt

### cgmTitle

    protected java.lang.String[] cgmTitle

### cgmDisplay

    protected CGMDisplay[] cgmDisplay

### icon

    protected java.awt.image.BufferedImage icon

Constructor Detail

### VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic

    protected VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic(java.lang.String type,
                                                                         java.lang.String facc,
                                                                         java.lang.String cond,
                                                                         VPFAutoFeatureGraphicWarehouse warehouse)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setCGMPath

    public void setCGMPath(java.lang.String parent,
                           java.lang.String append)

  Needs to be called before matches is called in init().

### getIcon

    public java.awt.Image getIcon()

### matches

    public boolean matches(java.lang.String facc,
                           FeatureClassInfo fci,
                           java.util.List<java.lang.Object> row)

  Used to match feature entries with PriorityHolder.

  Specified by:
    `matches` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`
  Parameters:
    `facc` -
    `fci` -
    `row` -
  Returns:
    true of feature matches conditions of PriorityHolder.

### matches

    public boolean matches(java.lang.String facc,
                           char type,
                           java.lang.String conditions,
                           java.lang.String symbolFileName,
                           java.lang.String size,
                           java.lang.String xoff,
                           java.lang.String yoff)

  Used to match symbol codes with PriorityHolder.

  Specified by:
    `matches` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`
  Parameters:
    `facc` -
    `type` -
    `conditions` -
    `size` - percent of dim setting to use for size of symbol (0-1f)
    `xoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is right)
    `yoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is down)
  Returns:
    true if feature matches conditions of PriorityHolder.

### add

    public void add(OMGraphic omg)

  Specified by:
    `add` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`

### getConditions

    public java.lang.String getConditions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details